%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Disk Usage Analyzer (aka Baobab)
Name:		baobab
Version:	3.4.1
Release:	1
License:	GPLv2+
Group:		File tools
Url:		http://live.gnome.org/GnomeUtils/Baobab
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	itstool
BuildRequires:	intltool
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(glib-2.0) >= 2.30.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libgtop-2.0)
Conflicts:	gnome-utils < 1:3.3.1

%description
Disk Usage Analyzer is is a graphical, menu-driven application to analyze
disk usage in any Gnome environment. Disk Usage Analyzer can easily scan
either the whole file-system tree, or a specific user-requested directory
branch (local or remote).

It also auto-detects in real-time any changes made to your home directory
as far as any mounted/unmounted device. Disk Usage Analyzer also provides
a full graphical tree-map window for each selected folder.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome

for l in C ca cs da de el en_GB es eu fi fr gl hu it oc pl pt_BR ru sl sv uk zh_CN zh_HK zh_TW; do
	echo "%%dir %%{_datadir}/help/$l"
	echo "%%lang($l) %%{_datadir}/help/$l/%%{name}"
done >> %{name}.lang

%files -f %{name}.lang
%doc README NEWS AUTHORS TODO ChangeLog
%{_bindir}/baobab
%{_datadir}/baobab/
%{_datadir}/glib-2.0/schemas/org.gnome.baobab.gschema.xml
%{_datadir}/applications/baobab.desktop
%{_datadir}/icons/hicolor/*/apps/baobab.png
%{_mandir}/man1/baobab.1.*



%changelog
* Thu May 03 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.4.1-1
+ Revision: 795730
- imported package baobab



* Thu Apr 05 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 228659
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226948
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 224450
- new version 3.3.4

* Fri Mar 09 2012 fwang <fwang> 3.3.3-1.mga2
+ Revision: 222048
- new version 3.3.3

* Wed Feb 22 2012 ovitters <ovitters> 3.3.2-1.mga2
+ Revision: 212316
- add translated help files
- update file list
- update buildrequires
- new version

* Sat Oct 29 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 159574
- imported package baobab

